function ControlApp() {    
	this.button_stop = null;
	this.button_backward = null;
	this.button_forward = null;
	this.button_play_folder = null;
}

ControlApp.prototype = {
    initilialize: function(ifaces) {
        this.ifaces = ifaces;
		
		// Initialize buttons
        this.button_stop = document.getElementById("btn_stop");
		this.button_backward = document.getElementById("btn_backward");
		this.button_forward = document.getElementById("btn_forward");
		this.button_play_folder = document.getElementById("btn_play_folder");
        
		
		// Initialize button click action
		this.button_play_folder.addEventListener("click", () => this.onButtonPlayFolderClick(parseInt(document.getElementById("numberSelect").value)));  	
		this.button_stop.addEventListener("click", () => this.ifaces.player.stop());		
		this.button_backward.addEventListener("click", () => this.ifaces.player.seek(-10000,true));
		this.button_forward.addEventListener("click", () => this.ifaces.player.seek(10000,true));
    },

	onButtonPlayFolderClick: function(param) {
        this.ifaces.player.playFolder(param)
    }	
};

window.addEventListener('load', function() {
	var HostPlayer = "10.91.20.34";	
	IDAL.getRemoteControlInterfaces(HostPlayer, "user", "password")
        .then(function(ifaces) {
            var app = new ControlApp();
            app.initilialize(ifaces);
        })

});